<?xml version='1.0' encoding='UTF-8' standalone='yes' ?><hierarchy window-name="" rotation="0" ><node index="0" text="" resource-id="" class="android.widget.FrameLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1440,2368]" ><node index="0" text="" resource-id="" class="android.widget.LinearLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1440,2368]" ><node index="0" text="" resource-id="android:id/content" class="android.widget.FrameLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,96][1440,2368]" ><node index="0" text="" resource-id="com.giphy.messenger:id/base_container" class="android.view.ViewGroup" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="true" focused="true" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,96][1440,2368]" ><node index="0" text="" resource-id="com.giphy.messenger:id/kn_main_appbar" class="android.widget.LinearLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,96][1440,649]" ><node index="0" text="" resource-id="com.giphy.messenger:id/toolbar" class="android.view.ViewGroup" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,96][1440,320]" ><node index="0" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="logoContentDescription" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[64,160][516,256]" /><node NAF="true" index="1" text="" resource-id="com.giphy.messenger:id/user_avatar_image_gif" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[1152,144][1280,272]" /><node index="2" text="" resource-id="" class="android.support.v7.widget.LinearLayoutCompat" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[1280,96][1440,320]" ><node index="0" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="More options" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[1280,112][1440,304]" /></node></node><node index="1" text="" resource-id="com.giphy.messenger:id/search_bar_parent_layout" class="android.widget.LinearLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,320][1440,448]" ><node index="0" text="" resource-id="com.giphy.messenger:id/search_left_margin_adjust_view" class="android.view.View" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,320][64,448]" /><node index="1" text="Search all the GIFs" resource-id="com.giphy.messenger:id/search_bar_text" class="android.widget.EditText" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[64,320][1088,448]" /><node NAF="true" index="2" text="" resource-id="com.giphy.messenger:id/search_bar_button" class="android.widget.ImageButton" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[1088,320][1216,448]" /><node NAF="true" index="3" text="" resource-id="com.giphy.messenger:id/auto_play_switch" class="android.widget.CheckBox" package="com.giphy.messenger" content-desc="" checkable="true" checked="true" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[1248,320][1376,448]" /></node><node index="2" text="" resource-id="com.giphy.messenger:id/sliding_tabs" class="android.widget.HorizontalScrollView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[0,448][1440,649]" ><node index="0" text="" resource-id="" class="android.widget.LinearLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,448][1440,649]" ><node index="0" text="TRENDING" resource-id="" class="android.widget.TextView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,448][397,649]" /><node index="1" text="REACTIONS" resource-id="" class="android.widget.TextView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[397,448][832,649]" /><node index="2" text="ACTIONS" resource-id="" class="android.widget.TextView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[832,448][1189,649]" /><node index="3" text="EMOTIONS" resource-id="" class="android.widget.TextView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[1189,448][1440,649]" /></node></node></node><node index="1" text="" resource-id="com.giphy.messenger:id/view_pager_container" class="android.widget.FrameLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,649][1440,2368]" ><node index="0" text="" resource-id="com.giphy.messenger:id/view_pager" class="android.support.v4.view.ViewPager" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[0,649][1440,2368]" ><node index="0" text="" resource-id="" class="android.widget.FrameLayout" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,649][1440,2368]" ><node index="0" text="" resource-id="com.giphy.messenger:id/recycler_view" class="android.support.v7.widget.RecyclerView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[0,649][1440,2368]" ><node index="0" text="The newest, most trending gifs on the interwebs" resource-id="com.giphy.messenger:id/gif_grid_header_text" class="android.widget.TextView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[4,653][1436,793]" /><node NAF="true" index="1" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[4,801][716,1199]" /><node NAF="true" index="2" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[724,801][1436,1203]" /><node NAF="true" index="3" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[4,1207][716,1666]" /><node NAF="true" index="4" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[724,1211][1436,1613]" /><node NAF="true" index="5" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[4,1674][716,2368]" /><node NAF="true" index="6" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[724,1621][1436,2208]" /><node NAF="true" index="8" text="" resource-id="" class="android.widget.ImageView" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[724,2216][1436,2368]" /></node></node></node></node></node></node></node><node index="1" text="" resource-id="android:id/statusBarBackground" class="android.view.View" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1440,96]" /><node index="2" text="" resource-id="android:id/navigationBarBackground" class="android.view.View" package="com.giphy.messenger" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][0,0]" /></node></hierarchy>